Zoom to Scale

Is there a way to calibrate your display with Solidworks in order to get a full scale zoom? I have it in some other programs like CorelDraw and I think Autocad used to have it. With some of the newer Solidworks features like 'Change Transparency', and bigger, flatter displays it would be nice to be able to take a full scale look at parts and assemblies.

Reply to
Gary Swink
Loading thread data ...

Sub main() Set swApp = CreateObject("SldWorks.Application") Set modelDoc = swApp.ActiveDoc Set modelView = modelDoc.ActiveView

modelView.Scale2 = 0.8 modelDoc.GraphicsRedraw2 End Sub

I basically changed the "0.8" value until the model > Is there a way to calibrate your display with Solidworks in order to get a

Reply to
vizach

Joe Jones of NewHamshire CAD has had this out for a long time. It looks surprisingly like Jason's macro.

' ****************************************************************************** ' SCALE1.swb ' Macro written by Joe Jones snipped-for-privacy@nhcad.com ' ' NEW HAMPSHIRE CAD
formatting link
' ' Mechanical Design and Custom Programming ' ******************************************************************************

Dim swApp As Object Dim modelDoc As Object Dim modelView As Object

Sub main() Set swApp = CreateObject("SldWorks.Application") Set modelDoc = swApp.ActiveDoc Set modelView = modelDoc.activeView

modelView.Scale2 = 0.859 modelDoc.graphicsRedraw2 End Sub

Reply to
TOP

Thanks to both of you.

Reply to
Gary Swink

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.